<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2014 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Ext-Joom.com
# Websites:  http://www.ext-joom.com 
# Date modified: 04/08/2014 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR);
}

$sly_css3_effects_class = '';
if ($sly_css3_effects > 0) $sly_css3_effects_class = 'sly_css3_effects'; 


$document->addCustomTag('
<style type="text/css">
ul.sly_items_'.$ext_id.' li {
	width: '.$ext_item_width.'px;
}
</style>');

?>



<script type="text/javascript">
jQuery(document).ready(function(){
		jQuery('#ext_sly_<?php echo $ext_id; ?>').sly({
			horizontal: 1,			
			itemNav: 'basic',			
			itemSelector: null,
			smart: 1,
			activateOn:   'click',
			activateMiddle: 1,
			scrollSource: null,
			scrollBy: 1,
			dragSource:  null,
			mouseDragging: 1,
			touchDragging: 1, 
			releaseSwing: 1, 
			swingSpeed: 0.2,
			elasticBounds: 0,
			interactive: null,
			scrollBar: '#scrollbar_<?php echo $ext_id; ?>',
			dragHandle: 1,
			dynamicHandle: 1,
			minHandleSize: 50,
			clickBar: 1,
			syncSpeed: 0.5,			
			cycleBy: 'null',
			cycleInterval: 1000,
			pauseOnHover: 0,
			startPaused: 0, 
			moveBy: 300,  
			speed: 300,   
			easing: 'swing',
			startAt: 0,
			keyboardNavBy: 'null',
			draggedClass:  'dragged',
			activeClass:   'active',					
			disabledClass: 'disabled',
			
			prev: '#sly_btn_prev_<?php echo $ext_id; ?>',
			next: '#sly_btn_next_<?php echo $ext_id; ?>'
			
			
		});	
  
});
</script>


<div class="mod_ext_sly_k2_content <?php echo $moduleclass_sfx ?>">	
	
	
	
	<?php if ($scrollbar_poss == 'top') : ?>
	<div id="scrollbar_<?php echo $ext_id; ?>" class="sly_scrollbar">
		<div class="handle">
			<div class="mousearea"></div>
		</div>
	</div>	
	<?php endif; ?>
	
	
	
	<div id="ext_sly_<?php echo $ext_id; ?>" class="sly_frame <?php echo $sly_css3_effects_class; ?>">
		<ul class="sly_items_<?php echo $ext_id; ?>" >	
		<?php if(count($items)): ?>
			<?php foreach ($items as $key=>$item):	?>
			<li>
				<div class="ext-sly-item-wrap">	 

					<?php if($params->get('itemTitle')): ?>
					<div class="ext-itemtitle">
						<a class="moduleItemTitle" href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a>
					</div>
					<?php endif; ?>


					<?php if($params->get('itemImage') || $params->get('itemIntroText')): ?>
					
						<?php if($params->get('itemImage') && isset($item->image)): ?>
						<div class="ext-itemimage">
							<a class="ext-moduleitemimage" href="<?php echo $item->link; ?>" title="<?php echo JText::_('K2_CONTINUE_READING'); ?> &quot;<?php echo K2HelperUtilities::cleanHtml($item->title); ?>&quot;">
								<img src="<?php echo $item->image; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($item->title); ?>"/>
							</a>
						</div>
						<?php endif; ?>

						<?php if($params->get('itemIntroText')): ?>
						<div class="ext-itemintrotext"><?php echo $item->introtext; ?></div>
						<?php endif; ?>
				  
					<?php endif; ?>

					<?php if($params->get('itemExtraFields') && count($item->extra_fields)): ?>
					<div class="ext-moduleitemextrafields">
						<b><?php echo JText::_('K2_ADDITIONAL_INFO'); ?></b>
						<ul>
							<?php foreach ($item->extra_fields as $extraField): ?>
									<?php if($extraField->value != ''): ?>
									<li class="type<?php echo ucfirst($extraField->type); ?> group<?php echo $extraField->group; ?>">
										<?php if($extraField->type == 'header'): ?>
										<h4 class="moduleItemExtraFieldsHeader"><?php echo $extraField->name; ?></h4>
										<?php else: ?>
										<span class="moduleItemExtraFieldsLabel"><?php echo $extraField->name; ?></span>
										<span class="moduleItemExtraFieldsValue"><?php echo $extraField->value; ?></span>
										<?php endif; ?>
										<div class="clr"></div>
									</li>
									<?php endif; ?>
							<?php endforeach; ?>
						</ul>
					</div>
					<?php endif; ?>
		 

					<?php if($params->get('itemCategory')): ?>
					<?php echo JText::_('K2_IN') ; ?> <a class="moduleItemCategory" href="<?php echo $item->categoryLink; ?>"><?php echo $item->categoryname; ?></a>
					<?php endif; ?>

				 
					<?php if($params->get('itemReadMore') && $item->fulltext): ?>
					<a class="moduleItemReadMore" href="<?php echo $item->link; ?>">
						<?php echo JText::_('K2_READ_MORE'); ?>
					</a>
					<?php endif; ?>
			  
				</div>
			</li>
			<?php endforeach; ?>
		<?php endif; ?>	
		</ul>
	</div>
	
	
		
	<?php if ($scrollbar_poss == 'bottom') : ?>
	<div id="scrollbar_<?php echo $ext_id; ?>" class="sly_scrollbar">
		<div class="handle">
			<div class="mousearea"></div>
		</div>
	</div>	
	<?php endif; ?>
	
	<?php if ($ext_controls_btn > 0) : ?>
	<div class="sly_controls">
		<button id="sly_btn_prev_<?php echo $ext_id; ?>" class="btn prev"><i class="icon-chevron-left"></i> prev</button>		
		<button id="sly_btn_next_<?php echo $ext_id; ?>" class="btn next"><i class="icon-chevron-right"> next</i></button>
	</div>
	<?php endif; ?>
	
	
	
	
	
	<div style="clear:both;"></div>
</div>
